Commit b4b4503b authored by Sandy Carter's avatar Sandy Carter
Browse files

Release 1.0.0



Fix install from pip by including requirements.txt
Signed-off-by: default avatarSandy Carter <bwrsandman@gmail.com>
parent d1c83f97
......@@ -4,19 +4,19 @@ History
-------
0.1.0 (2015-05-04)
---------------------
------------------
* First release on PyPI.
0.1.1 (2015-05-05)
---------------------
------------------
* Fixes to the tests
* Add more badges
* Fix pip install issue with required.txt
0.1.2 (2015-06-23)
---------------------
------------------
* Rewrite history with git filter-branch
* Remove unneeded files from history
......@@ -24,3 +24,10 @@ History
* deferred80.py
* openupgrade_log.py
* #openupgrade_loading.py#
1.0.0 (2015-08-10)
------------------
* Rerelease to pypi with proper upload
* Include requirements.txt
* Mark as Beta
......@@ -3,6 +3,7 @@ include CONTRIBUTING.rst
include HISTORY.rst
include LICENSE
include README.rst
include requirements.txt
recursive-include tests *
recursive-exclude * __pycache__
......
......@@ -2,6 +2,8 @@
# -*- coding: utf-8 -*-
import os
from pip.req import parse_requirements
from pip.download import PipSession
try:
from setuptools import setup
......@@ -17,8 +19,11 @@ with open('HISTORY.rst') as history_file:
dirname = os.path.dirname(__file__)
with open(os.path.join(dirname, 'requirements.txt')) as requirements_file:
requirements = requirements_file.readlines()
requirements = [
str(ir.req)
for ir
in parse_requirements("requirements.txt", session=PipSession())
]
test_requirements = [
'coverage',
......@@ -29,7 +34,7 @@ test_requirements = [
setup(
name='openupgradelib',
version='0.1.2',
version='1.0.0',
description="A library with support functions to be called from Odoo "
"migration scripts.",
long_description=readme + '\n\n' + history,
......@@ -44,7 +49,7 @@ setup(
zip_safe=False,
keywords='openupgradelib',
classifiers=[
'Development Status :: 2 - Pre-Alpha',
'Development Status :: 4 - Beta',
'Intended Audience :: Developers',
'License :: OSI Approved :: BSD License',
'Natural Language :: English',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment